python的异常Exception - 岳阳市阿威普网络有限公司-新闻中心
贝博登录贝博游戏平台ballbet官网有限公司
首页 | 联系方式 | 加入收藏 | 设为首页 | 手机站
  • 网站首页
  • 公司简介
  • 产品展示
  • 新闻中心
  • 常见问题
  • 联系我们
  • 产品目录

    联系方式

    联系人:业务部
    电话: 00148-284078
    邮箱:service@yidlgs.com

    当前位置:首页 >> 新闻中心 >> 正文

    python的异常Exception

    摘要:python的异常Exception

    Python 的异常处理机制

    Python代码

    try:

    raise Exception("a", "b")

    except Exception,e:

    print e

    finally:

    print "final"

    ('a', 'b')('a', 'b')

    final

    同样可以处理多个异常筛选。

    Python代码

    try:

    raise EOFError("aa", "bb")

    except RuntimeError, e:

    print "[RuntimeErro]: ", e

    except EOFError, e:

    print "[EOFError]: ", e

    except Exception, e:

    print "[Error]: ", e

    finally:

    print "final"

    [EOFError]: ('aa', 'bb')

    final

    除了异常参数,我们还可以用sys的一些方法来获取异常信息。

    Python代码

    import sys

    try:

    raise RuntimeError("the runtime error raised")

    except:

    print sys.exc_info()

    (<type 'exceptions.RuntimeError'>, RuntimeError('the runtime error raised',), <traceback object at 0x00DC5CB0>)

    缺省情况下,异常类都继承自 Exception。

    Python代码

    >>>>>> class MyException(Exception):

    pass

    >>>>>> try:

    raise MyException("My Exception raised!")

    except:

    print sys.exc_info()

    (<class '__main__.MyException'>, MyException('My Exception raised!',), <traceback object at 0x00DC58F0>)

    >>>>>>